Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## spki
Class ValidOnline

    java.lang.Object
      |
      +--spki.BaseObj
            |
            +--spki.ValidOnline

public class ValidOnline
extends BaseObj

SPKI ValidOnline class.

Formal definitions:

     <on-line>:: "(" "on-line" <loc-obj> <principal>? ")" ;

Version:
  $Id: ValidOnline.java,v 1.15 2002/06/25 12:12:28 tep Exp $
Author:
  Tep Narula <tep@win.trlabs.ca>
See Also:
  `LocObj`, `Principal`, `Validity`

Field Summary
`private static String` | `__ME` This class's full name.
`private LocObj` | `location` The location of the online-validation service.
`static String` | `SEXP_NAME` This class S-Expression type name, used by toSExpression() and other methods.
`private Principal` | `validator` The optional validating-agent's principal, maybe `null`.

Fields inherited from class spki.BaseObj
`__ME, cache_sexp, cached_sexp, DEFAULT_HASH_ALG, locked, SEXP_NAME`

Constructor Summary
`protected` | `ValidOnline()` Don't use me!
`` | `ValidOnline(LocObj location, Principal validator)` Create an immutable ValidOnline object from given location of the online-validation service and, optionally, the validating-agent's principal.
`` | `ValidOnline(SExpression sexp)` Create an immutable ValidOnline object from an S-Expression.

Method Summary
`LocObj` | `getLocation()` Get the location of the online-validation service.
`Principal` | `getValidator()` Get the optional validating-agent's principal.
`SExpression` | `toSExpression()` Build an SExpression representing this object.

Methods inherited from class spki.BaseObj
`disableSExpressionCaching, enableSExpressionCaching, extractHashAlgId, getCachedSExpression, isLocked, isSListOfType, lock, providerToSPKI, setCachedSExpression, spkiToProvider, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### __ME

    private static final String __ME

  This class's full name.

### SEXP_NAME

    public static final String SEXP_NAME

  This class S-Expression type name, used by toSExpression() and other methods.
  See Also:
    `toSExpression()`

### location

    private LocObj location

  The location of the online-validation service.

### validator

    private Principal validator

  The optional validating-agent's principal, maybe `null`.

Constructor Detail

### ValidOnline

    protected ValidOnline()

  Don't use me!
  See Also:
    `ValidOnline(SExpression)`, `ValidOnline(LocObj,spki.interfaces.Principal)`

### ValidOnline

    public ValidOnline(SExpression sexp)
                throws ParseException,
                       SPKIException

  Create an immutable ValidOnline object from an S-Expression.
  See Also:
    `BaseObj.BaseObj(SExpression)`

### ValidOnline

    public ValidOnline(LocObj location,
                       Principal validator)
                throws SPKIException

  Create an immutable ValidOnline object from given location of the online-validation service and, optionally, the validating-agent's principal.
  Parameters:
    `location` - the location of the online-validation service.
    `validator` - the validating-agent's principal, maybe `null`.
  Throws:
    SPKIException - if something went wrong.

Method Detail

### toSExpression

    public SExpression toSExpression()
                              throws SPKIException

  Description copied from interface: SPKIObject
  Build an SExpression representing this object.
  Overrides:
    toSExpression in class BaseObj
  Tags copied from interface: SPKIObject
  Returns:
    SExpression object representing this object, or `null`.
  Throws:
    SPKIException - if something went wrong during conversion.

### getLocation

    public LocObj getLocation()

  Get the location of the online-validation service.
  Returns:
    LocObj containing the location.

### getValidator

    public Principal getValidator()

  Get the optional validating-agent's principal.
  Returns:
    Principal containing the agent's principal, or `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD